Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Interface CodecFactoryManager

All Known Implementing Classes:
  CodecFactoryManagerImpl

public interface CodecFactoryManager

Interface for codec factory registration.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood

Method Summary
`void` | `register_codec_factory(Encoding enc, CodecFactory factory)` Registration point for codec factories.

Method Detail

### register_codec_factory

    public void register_codec_factory(Encoding enc,
                                       CodecFactory factory)

  Registration point for codec factories.
  Parameters:
    `enc` - The encoding to register a factory for.
    `factory` - The factory to register for the specified encoding.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD